wibble::Singleton< T >::iterator Class Reference

`#include <singleton.h>`

Inheritance diagram for wibble::Singleton< T >::iterator:
[legend]
Collaboration diagram for wibble::Singleton< T >::iterator:
[legend]

## Public Member Functions

| iterator ()
T & | operator* ()
T * | operator-> ()
iterator & | operator++ ()
bool | operator== (const iterator &iter) const
bool | operator!= (const iterator &iter) const

## Protected Member Functions

| iterator (T *value)

## Friends

class | Singleton< T >

## Constructor & Destructor Documentation

## iterator() [1/2]

template<typename T >

wibble::Singleton< T >::iterator::iterator | ( | T * | value | ) |

inline protected

## iterator() [2/2]

template<typename T >

wibble::Singleton< T >::iterator::iterator | ( |  | ) |

inline

## Member Function Documentation

## operator!=()

template<typename T >

bool wibble::Singleton< T >::iterator::operator!= | ( | const iterator & | iter | ) | const

inline

## operator*()

template<typename T >

T& wibble::Singleton< T >::iterator::operator* | ( |  | ) |

inline

## operator++()

template<typename T >

iterator& wibble::Singleton< T >::iterator::operator++ | ( |  | ) |

inline

## operator->()

template<typename T >

T* wibble::Singleton< T >::iterator::operator-> | ( |  | ) |

inline

## operator==()

template<typename T >

bool wibble::Singleton< T >::iterator::operator== | ( | const iterator & | iter | ) | const

inline

## Friends And Related Function Documentation

## Singleton< T >

template<typename T >

friend class Singleton< T >

friend

The documentation for this class was generated from the following file:

- singleton.h